# Asset Discovery Smart Monitoring Rule Update

PUT /easm/discovery/smart-monitoring-rules/{rule_id}: Tunes a smart monitoring rule with the settings in the request body.

Source: https://docs.deepinfo.com/reference/easm/asset-discovery-smart-monitoring-rule-update/

Last updated: 2026-09-27

---
`PUT https://api.deepinfo.com/v1/easm/discovery/smart-monitoring-rules/{rule_id}`

Tunes a smart monitoring rule with the settings in the request body.

## Authentication

Send your API key in the `apikey` request header.

## Path Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `rule_id` | Required |  | `00000000000000000000000e8e040001` |

## Request Body

| Parameter | Type | Required |
|---|---|---|
| `excluded_seed_assets` | array | Optional |
| `auto_approval` | boolean | Required |
| `global_blocklist` | boolean | Required |
| `enabled` | boolean | Required |

```json
{
  "excluded_seed_assets": [],
  "auto_approval": false,
  "global_blocklist": true,
  "enabled": true
}
```

## Response Fields

| Field | Type |
|---|---|
| `id` | string |
| `name` | string |
| `description` | string |
| `excluded_seed_assets` | array of string |
| `auto_approval` | boolean |
| `global_blocklist` | boolean |
| `enabled` | boolean |

## Response Schema

_Inferred from examples._ Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

| Field | Type |
|---|---|
| `id` | string |
| `name` | string |
| `description` | null |
| `excluded_seed_assets` | array |
| `auto_approval` | boolean |
| `global_blocklist` | boolean |
| `enabled` | boolean |

## Examples

### 200 · OK

```bash
curl -X PUT 'https://api.deepinfo.com/v1/easm/discovery/smart-monitoring-rules/00000000000000000000000e8e040001' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "excluded_seed_assets": [],
  "auto_approval": false,
  "global_blocklist": true,
  "enabled": true
}'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "id": "00000000000000000000000e8e040001",
  "name": "Main domains",
  "description": null,
  "excluded_seed_assets": [],
  "auto_approval": false,
  "global_blocklist": true,
  "enabled": true
}
```

### 400 · Not Found (nonexistent rule_id)

```bash
curl -X PUT 'https://api.deepinfo.com/v1/easm/discovery/smart-monitoring-rules/ffffffffffffffffffffffff' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{}'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "code": 10400,
  "parameters": [
    {
      "param": "auto_approval",
      "details": [
        "This field is required."
      ]
    },
    {
      "param": "global_blocklist",
      "details": [
        "This field is required."
      ]
    }
  ],
  "solution": "https://docs.deepinfo.com/reference/"
}
```
